using System;

namespace LabelerCore.Model
{
    public interface ITransformer: ICloneable
    {
        void Fit(double[][] X, int[] y = null);
        double[][] FitTransform(double[][] X, int[] y = null);
        double[][] Transform(double[][] X);
        double[] Transform(double[] x);
    }
}
